<template>
  <section class="latest-posts-container">
    <div class="bg">
      <!-- <Wave class="wave"/> -->
    </div>
    <Post v-for="p in filteredPosts" :key="p.id" :post="p" />
  </section>
</template>

<script>
import Post from "@/components/blog/Post";
import Wave from "@/assets/svgs/wave.svg";

export default {
  name: "LatestPosts",
  components: {
    Post,
    Wave
  },
  props: {
    posts: {
      type: Array,
      required: true
    }
  },
  computed: {
    filteredPosts() {
      if (this.posts) {
        return this.posts.filter((cur, idx) => idx < 3);
      }
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.latest-posts-container
  display grid 
  grid-template-columns repeat(3, minmax(27.5rem, 40rem))
  grid-gap $md
  position relative
  margin-top $md
  @media only screen and (max-width 1200px)
    grid-gap $sm
  @media only screen and (max-width 1000px)
    justify-content center
    grid-template-columns .75fr
    grid-gap $md
  @media only screen and (max-width 550px)
    justify-content center
    grid-template-columns 1fr

.bg
  position absolute
  bottom 10%
  left 50%
  transform translateX(-50%)
  background-color $primary
  width 100vw
  height 80%
  z-index 1

.post
  position relative
  z-index 2

// .wave
//   top 0
//   left 0
//   position absolute
//   transform translateY(-100%)
//   height 7rem
//   fill $primary
//   width 100%
//   height 10rem
//   @media only screen and (max-width 650px)
//     height 5rem
//   @media only screen and (max-width 450px)
//     display none
</style>